Loading...
Searching...
No Matches
Basis.h File Reference

Compute an interpolating basis. More...

Go to the source code of this file.

## Classes

class | gtsam::Basis< DERIVED >
| CRTP Base class for function bases. More...
class | gtsam::Basis< DERIVED >::EvaluationFunctor
| An instance of an EvaluationFunctor calculates f(x;p) at a given x, applied to Parameters p. More...
class | gtsam::Basis< DERIVED >::VectorEvaluationFunctor< M >
| VectorEvaluationFunctor at a given x, applied to ParameterMatrix<M>. More...
class | gtsam::Basis< DERIVED >::VectorComponentFunctor< M >
| Given a M*N Matrix of M-vectors at N polynomial points, an instance of VectorComponentFunctor computes the N-vector value for a specific row component of the M-vectors at all the polynomial points. More...
class | gtsam::Basis< DERIVED >::ManifoldEvaluationFunctor< T >
| Manifold EvaluationFunctor at a given x, applied to ParameterMatrix<M>. More...
class | gtsam::Basis< DERIVED >::DerivativeFunctorBase
| Base class for functors below that calculate derivative weights. More...
class | gtsam::Basis< DERIVED >::DerivativeFunctor
| An instance of a DerivativeFunctor calculates f'(x;p) at a given x, applied to Parameters p. More...
class | gtsam::Basis< DERIVED >::VectorDerivativeFunctor< M >
| VectorDerivativeFunctor at a given x, applied to ParameterMatrix<M>. More...
class | gtsam::Basis< DERIVED >::ComponentDerivativeFunctor< M >
| Given a M*N Matrix of M-vectors at N polynomial points, an instance of ComponentDerivativeFunctor computes the N-vector derivative for a specific row component of the M-vectors at all the polynomial points. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Weights = Eigen::Matrix<double, 1, -1>

## Functions

template<size_t M>
Matrix | gtsam::kroneckerProductIdentity (const Weights &w)
| Function for computing the kronecker product of the 1*N Weight vector w with the MxM identity matrix I efficiently.

## Detailed Description

Compute an interpolating basis.

Author
  Varun Agrawal, Jing Dong, Frank Dellaert

Date
  July 4, 2020